Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

frame.php
Go to the documentation of this file.
1 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
3 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="no" lang="no">
4
5 <head>
6 <title><?php
7 // set the site title
8
9 $SiteTitle = $ini->variable( "site", "SiteTitle" );
10
11 if ( isset( $SiteTitleAppend ) )
12 print( $SiteTitle . " : " . $SiteTitleAppend );
13 else
14 print( $SiteTitle );
15
16 ?></title>
17
18
19 <?php
20
21 // check if we need a http-equiv refresh
22 if ( isset( $MetaRedirectLocation ) && isset( $MetaRedirectTimer ) )
23 {
24 print( "<META HTTP-EQUIV=Refresh CONTENT=\"$MetaRedirectTimer; URL=$MetaRedirectLocation\" />" );
25 }
26
27 ?>
28
29 <style type="text/css">
30 @import url(/design/<? print ($GlobalSiteDesign); ?>/main.css);
31
32 /* Add this line for eZ Group Event Calendar : Module Style CSS */
33 @import url(/ezgroupeventcalendar/user/templates/standard/style/style.css);
34 </style>
35 <?
36 // dom-drag / overlib js if-statement work around (See: doc/BUGS for description)
37 if ($url_array[1] == "groupeventcalendar"){
38 ?>
39 <script type="text/javascript" src="/ezgroupeventcalendar/user/templates/standard/js/dom-drag.js"></script>
40 <script type="text/javascript" src="/ezgroupeventcalendar/user/templates/standard/overlib/overlib.js"></script>
41 <?
42 }
43 ?>
44 <?
45
46 /* Previous I.E. PNG-Alpha & PNG-Alpha Background Image page (90% implimented, incomplete) */
47 /*
48 <script type="text/javascript" src="/ezgroupeventcalendar/user/templates/standard/js/ypSlideOutMenusC.js"></script>
49 <script type="text/javascript" src="/ezgroupeventcalendar/user/templates/standard/js/main.js"></script>
50 <script type="text/javascript" src="/ezgroupeventcalendar/user/templates/standard/js/browserdetect_lite.js"></script>
51 <script type="text/javascript" src="/ezgroupeventcalendar/user/templates/standard/js/opacity.js"></script>
52
53 <script type="text/javascript">
54 function init() {
55 var layerObject = null;
56 if (pngAlpha) {
57 for (i=0;i<document.getElementsByTagName("td").length; i++) {
58 if (document.getElementsByTagName("td").item(i).className == "bgdark"){
59 document.getElementsByTagName("td").item(i).style.filter = "progid:DXImageTransform.Microsoft.AlphaImageLoader(src='/kernel/ezgroupeventcalendar/user/templates/standard/images/gcalEventTransBg.png', sizingMethod='scale')";
60 // alert("Message from resident coder: Sorry guys, almost done... " + document.getElementsByTagName("td").item(i).style.filter);
61 }
62 }
63 //document.getElementById("bgdark").style.filter = "progid:DXImageTransform.Microsoft.AlphaImageLoader(src='../skin1/images/background/infobg40.png', sizingMethod='scale')";
64 }
65 }
66 </script>
67 */
68 ?>
69
70 <?
71 /*
72 These Javascript functions are stock from Exponential Basic 2 and are required for the eZ GroupEventCalendar's Editor Mode
73 */
74 ?>
75 <script language="JavaScript1.2" type="text/javascript">
76 <!--//
77
78 function MM_swapImgRestore()
79 {
80 var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
81 }
82
83 function MM_preloadImages()
84 {
85 var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
86 var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
87 if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
88 }
89
90 function MM_findObj(n, d)
91 {
92 var p,i,x; if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
93 d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
94 if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
95 for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document); return x;
96 }
97
98 function MM_swapImage()
99 {
100 var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
101 if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
102 }
103
104 //-->
105 </script>
106
107 <!-- set the content meta information -->
108
109 <meta name="author" content="<?php
110
111 $SiteAuthor = $ini->variable( "site", "SiteAuthor" );
112 print( $SiteAuthor );
113
114 ?>" />
115 <meta name="copyright" content="<?php
116
117 $SiteCopyright = $ini->variable( "site", "SiteCopyright" );
118 print( $SiteCopyright );
119
120 ?>" />
121 <meta name="description" content="<?php
122
123 if ( isset( $SiteDescriptionOverride ) )
124 {
125 print( $SiteDescriptionOverride );
126 }
127 else
128 {
129 $SiteDescription = $ini->variable( "site", "SiteDescription" );
130 print( $SiteDescription );
131 }
132
133 ?>" />
134 <meta name="keywords" content="<?php
135 if ( isset( $SiteKeywordsOverride ) )
136 {
137 print( $SiteKeywordsOverride );
138 }
139 else
140 {
141 $SiteKeywords = $ini->variable( "site", "SiteKeywords" );
142 print( $SiteKeywords );
143 }
144
145 ?>" />
146 <meta name="MSSmartTagsPreventParsing" content="TRUE" />
147
148 <meta name="generator" content="Exponential Basic" />
149 <link rel="shortcut icon" href="/favicon.ico" type="image/x-icon">
150
151 <? /* part of ie alpha-png fix */ ?>
152 <!--[if gte IE 5.5000]>
153 <script type="text/javascript" src="/design/ezc_developer/pngfix.js"></script>
154 <![endif]-->
155
156 <?
157 // dom-drag / overlib js if-statement work around (See: doc/BUGS for description)
158 ?>
159 <?
160 if ($url_array[1] == "groupeventcalendar" && $url_array[2] == "eventedit" ){
161 ?>
162 <link rel="alternate stylesheet" type="text/css" media="all" href="http://web.archive.org/web/20060822010037/http://ezcommunity.net/ezgroupeventcalendar/user/templates/standard/jscalendar/calendar-system.css" title="system" />
163
164 <!-- eZGroupEventCalendar:jscalendar script dependancies -->
165
166 <script type="text/javascript" src="/ezgroupeventcalendar/user/templates/standard/jscalendar/calendar.js"></script>
167 <script type="text/javascript" src="/ezgroupeventcalendar/user/templates/standard/jscalendar/calendar-setup.js"></script>
168 <script type="text/javascript" src="/ezgroupeventcalendar/user/templates/standard/jscalendar/lang/calendar-en.js"></script>
169
170 <script type="text/javascript" src="/ezgroupeventcalendar/user/templates/standard/jscalendar/calendar-setup-instance.js"></script>
171 <?
172 }
173 ?>
174 </head>
175
176 <body bgcolor="#000000" onload="MM_preloadImages('<? print $GlobalSiteIni->WWWDir; ?>/images/document/filemanager/redigerminimrk.gif','<? print $GlobalSiteIni->WWWDir; ?>/images/document/slettminimrk.gif','<? print $GlobalSiteIni->WWWDir; ?>/images/document/filemanager/downloadminimrk.gif','<? print $GlobalSiteIni->WWWDir; ?>/images/admin_edit_images/addminimrk.gif')">
177
178 <div align="center">
179 <table width="91%" border="0" cellspacing="1" cellpadding="1" style="background-color: #000000; border: 0px dashed;">
180 <tr>
181 <td>
182
183 <table width="100%" border="0" cellspacing="0" cellpadding="0">
184 <tr>
185 <td class="tdmini" width="99%" align="left">
186 <?php
187 /*
188 <!--
189 <img src="<? print $GlobalSiteIni->WWWDir; ?>/design/<? print ($GlobalSiteDesign); ?>/images/ez_systems_branding/ezpublish-yourcontentmadeeasy.gif" height="20" width="290" border="0" alt="" /><br />
190 -->
191
192 <!--
193 <span style=""><a href="/" style="font-size: 23px; text-decoration: none; ">eZ&nbsp;Community&nbsp;.&nbsp;net</a></span><br />
194 -->
195 */
196 ?>
197 <a href="/" style="font-size: 24px; color: #ffffff; text-decoration: none; padding-left: 3px; padding-botom: 4px;"><img src="/design/ezc_standard/images/logo-grey-mini.png" height="28" width="28" border="0" align="middle" alt="icon" />&nbsp;eZ&nbsp;Community</a>
198 <?php
199 /*
200 <!--
201 &nbsp;
202 <span>&nbsp;&nbsp; <a href="/" style="font-size: 17px; color: #ffffff; text-decoration: none; "><span style="color: #2372c9;">&nbsp;</span>eZ&nbsp;Community</a></span>
203 -->
204 */
205 ?>
206 </td>
207 <td class="tdmini" width="1%" valign="bottom" align="right">
208 <img src="<? print $GlobalSiteIni->WWWDir; ?>/images/document/1x1.gif" width="1" height="10" border="0" alt="" />
209
210 <table width="100%" border="0" cellspacing="0" cellpadding="0">
211 <tr>
212 <td class="tdmini" width="1%">
213 <img src="<? print $GlobalSiteIni->WWWDir; ?>/design/<? print ($GlobalSiteDesign); ?>/images/tab-unmrk-left.gif" height="20" width="20" border="0" alt="" /><br />
214 </td>
215
216 <td class="tab" bgcolor="#dcdcdc" width="23%">&nbsp;&nbsp;<a href="<? print $GlobalSiteIni->WWWDir . $GlobalSiteIni->Index; ?>/community/">Community</a>&nbsp;&nbsp;</td>
217
218 <td class="tdmini" width="1%">
219 <img src="<? print $GlobalSiteIni->WWWDir; ?>/design/<? print ($GlobalSiteDesign); ?>/images/tab-unmrk-unmrk.gif" height="20" width="20" border="0" alt="" /><br />
220
221 <!--
222 <img src="<? print $GlobalSiteIni->WWWDir; ?>/design/<? print ($GlobalSiteDesign); ?>/images/tab-mrk-left.gif" height="20" width="20" border="0" alt="" /><br />
223 -->
224 </td>
225
226 <td class="tab" bgcolor="#dcdcdc" width="23%">&nbsp;&nbsp;<a href="<? print $GlobalSiteIni->WWWDir . $GlobalSiteIni->Index; ?>/forums/">Forum</a>&nbsp;&nbsp;</td>
227
228 <td class="tdmini" width="1%">
229 <img src="<? print $GlobalSiteIni->WWWDir; ?>/design/<? print ($GlobalSiteDesign); ?>/images/tab-unmrk-unmrk.gif" height="20" width="20" border="0" alt="" /><br />
230
231 <!--
232
233 <img src="<? print $GlobalSiteIni->WWWDir; ?>/design/<? print ($GlobalSiteDesign); ?>/images/tab-unmrk-left.gif" heigh\
234 t="20" width="20" border="0" alt="" /><br />
235
236 -->
237 </td>
238
239 <td class="tab" bgcolor="#dcdcdc" width="23%">&nbsp;&nbsp;<a href="<? print $GlobalSiteIni->WWWDir . $GlobalSiteIni->Index; ?>/community/developer/">Developer</a>&nbsp;&nbsp;</td>
240
241 <td class="tdmini" width="1%">
242 <img src="<? print $GlobalSiteIni->WWWDir; ?>/design/<? print ($GlobalSiteDesign); ?>/images/tab-unmrk-mrk.gif" height="20" width="20" border="0" alt="" /><br />
243
244 <!--
245
246 <img src="<? print $GlobalSiteIni->WWWDir; ?>/design/<? print ($GlobalSiteDesign); ?>/images/tab-unmrk-left.gif" height="20" width="20" border="0" alt="" /><br />
247
248 -->
249 </td>
250
251 <td class="tab" bgcolor="#ffffff" width="23%">&nbsp;&nbsp;<a href="<? print $GlobalSiteIni->WWWDir . $GlobalSiteIni->Index; ?>/calendar/">Calendar</a>&nbsp;&nbsp;</td>
252
253 <td class="tdmini" width="1%">
254
255 <img src="<? print $GlobalSiteIni->WWWDir; ?>/design/<? print ($GlobalSiteDesign); ?>/images/tab-mrk-right.gif" height="20" width="20" border="0" alt="" /><br />
256
257 <!--
258 <img src="<? print $GlobalSiteIni->WWWDir; ?>/design/<? print ($GlobalSiteDesign); ?>/images/tab-unmrk-unmrk.gif" height="20" width="20" border="0" alt="" /><br />
259 -->
260 </td>
261
262 <? /*
263
264 <!--
265 <td class="tdmini" width="1%">
266 <img src="<? print $GlobalSiteIni->WWWDir; ?>/design/<? print ($GlobalSiteDesign); ?>/images/tab-unmrk-left.gif" height="20" width="20" border="0" alt="" /><br />
267 </td>
268 -->
269
270 <td class="tab" bgcolor="#dcdcdc" width="23%">&nbsp;&nbsp;<a href="<? print $GlobalSiteIni->WWWDir . $GlobalSiteIni->Index; ?>/section-standard/">Standard</a>&nbsp;&nbsp;</td>
271
272 <td class="tdmini" width="1%">
273 <img src="<? print $GlobalSiteIni->WWWDir; ?>/design/<? print ($GlobalSiteDesign); ?>/images/tab-unmrk-unmrk.gif" height="20" width="20" border="0" alt="" /><br />
274 </td>
275 <td class="tab" bgcolor="#dcdcdc" width="23%">&nbsp;&nbsp;<a href="<? print $GlobalSiteIni->WWWDir . $GlobalSiteIni->Index; ?>/section-trade/">Trade</a>&nbsp;&nbsp;</td>
276
277
278 <td class="tdmini" width="1%">
279 <img src="<? print $GlobalSiteIni->WWWDir; ?>/design/<? print ($GlobalSiteDesign); ?>/images/tab-unmrk-unmrk.gif" height="20" width="20" border="0" alt="" /><br />
280 </td>
281 <td class="tab" bgcolor="#dcdcdc" width="23%">&nbsp;&nbsp;<a href="<? print $GlobalSiteIni->WWWDir . $GlobalSiteIni->Index; ?>/section-intranet/">Intranet</a>&nbsp;&nbsp;</td>
282
283 <td class="tdmini" width="1%">
284 <img src="<? print $GlobalSiteIni->WWWDir; ?>/design/<? print ($GlobalSiteDesign); ?>/images/tab-unmrk-unmrk.gif" height="20" width="20" border="0" alt="" /><br />
285 </td>
286 <td class="tab" bgcolor="#dcdcdc" width="23%">&nbsp;&nbsp;<a href="<? print $GlobalSiteIni->WWWDir . $GlobalSiteIni->Index; ?>/section-news/">News</a>&nbsp;&nbsp;</td>
287 <td class="tdmini" width="1%">
288 <img src="<? print $GlobalSiteIni->WWWDir; ?>/design/<? print ($GlobalSiteDesign); ?>/images/tab-unmrk-right.gif" height="20" width="20" border="0" alt="" /><br />
289 </td>
290
291 */ ?>
292 </tr>
293 </table>
294
295 </td>
296 </tr>
297 </table>
298
299 <table width="100%" border="0" cellspacing="0" cellpadding="4">
300 <tr valign="top">
301
302 <td width="1%" bgcolor="#ffffff"><img src="<? print $GlobalSiteIni->WWWDir; ?>/images/document/1x1.gif" width="2" height="1" border="0" alt="" /></td>
303 <td width="96%" bgcolor="#ffffff" align="left">
304 <?
305 // <!-- Banner start -->
306 // $CategoryID = 1;
307 $CategoryID = 2;
308 $Limit = 1;
309 include( "ezad/user/adlist.php" );
310 // <!-- Banner end-->
311 ?>
312
313 <?
314 // <!-- Main content view start -->
315 print( $MainContents );
316 ?>
317 <!-- Main content view end -->
318 <br />
319 </td>
320 <td width="1%" bgcolor="#ffffff"><img src="<? print $GlobalSiteIni->WWWDir; ?>/images/document/1x1.gif" width="2" height="1" border="0" alt="" /></td>
321
322 <td width="1%" bgcolor="#ffffff" align="left">
323 <div class="bglight">
324 <?
325 // a short list of articles from the given category
326 // shows $Limit number starting from offset $Offset
327 // $CategoryID=1;
328 $CategoryID=8;
329 $Offset=1;
330 $Limit=0;
331 include( "ezarticle/user/smallarticlelist.php" );
332 ?>
333
334
335 <?
336 include_once( "classes/ezdate.php" );
337 include_once( "ezuser/classes/ezuser.php" );
338 $bdate = new ezdate();
339 $now_date = ucfirst($bdate->monthName()) . " " . $bdate->day() . ", " . $bdate->year();
340 ?>
341 <style type="text/css">
342 .LayerMenuDate {
343 position:relative;
344 left:0px; right:0px;
345 color : rgb(0, 0, 0);
346 font-family : Arial, Helvetica, sans-serif;
347 font-size : 12px;
348 font-weight: bold;
349
350 padding-top: 3px;
351 padding-bottom: 6px;
352 }
353 </style>
354 <div class="LayerMenuDate" style="text-align: center;"><span class=navitem onclick='rdrctMain(""); return true;'><? print($now_date); ?></span></div>
355
356
357 <?
358 // include( "ezsearch/user/menubox.php" );
359 ?>
360
361 <!--
362 <div align="center" style="border: 4px;"><a class="path" href="?PrintableVersion=enabled">
363 <img src="<? print $GlobalSiteIni->WWWDir; ?>/design/<? print ($GlobalSiteDesign); ?>/images/button-printpage.gif" border="0"/></a><br /><br /></div>
364 -->
365
366
367 <?
368 $NoAddress = true;
369 include( "ezuser/user/userbox.php" );
370
371 // include("ezgroupeventcalendar/user/menubox.php" );
372 ?>
373
374 <table width="100%" border="0" cellspacing="0" cellpadding="4">
375 <tr valign="top">
376 <td width="1%" bgcolor="#f0f0f0" align="left">
377
378 <? /*Left menu start */ ?>
379 <?
380 // include the static pages for category 2
381 // $CategoryID = 1;
382 $CategoryID = 8;
383 // include( "ezarticle/user/articlelinks.php" );
384 ?>
385 <?
386 $CategoryID = 7;
387 include( "ezarticle/user/menubox.php" );
388 ?>
389
390 <?
391
392 // $CategoryID = 1;
393 $CategoryID = 8;
394 // include( "ezarticle/user/headlines.php" );
395
396 ?>
397
398 </td>
399 </tr>
400
401 <tr rowspan="2" valign="bottom">
402 <td width="1%" bgcolor="#fffff" align="left">
403
404 <br /><br />
405 <div align="center">
406
407 <a target="_blank" style="text-decoration: none;" href="http://developer.berlios.de/projects/ezcommunity" title="eZ Community is a BerliOS Developer Project">
408 <img src="http://developer.berlios.de/bslogo.php?group_id=2154" width="100px" height="32px" border="0" alt="BerliOS Developer Logo">
409 <br /><a href="/article/articleview/161" style="text-decoration: none;">eZ Community's BerliOS Project</a>
410
411 <br /><br />
412
413 <a target="_blank" href="http://firebright.com/" style="text-decoration: none;" title="Sponsored By FireBright">
414 <img src="/images/firebright/firebright_sponsor.png" border="0" width="85" height="35" alt= "Sponsored By FireBright" />
415 <br />
416 <a href="/article/articleview/153/1/13/" style="text-decoration: none;">Sponsored By FireBright</a>
417
418 </div>
419
420 <br /><br />
421
422 <?
423 // include( "ezlink/user/menubox.php" );
424 ?>
425
426 </td>
427 </tr>
428 </table>
429
430 <?
431 // include( "ezpoll/user/votebox.php" );
432 ?>
433
434 <? /*
435 <!-- Right menu end -->
436 <img src="<? print $GlobalSiteIni->WWWDir; ?>/images/document/1x1.gif" width="80" height="20" border="0" alt="" /><br />
437
438 */ ?>
439 <div align="center">
440
441 <?
442 // include( "ezlink/user/menubox.php" );
443 ?>
444
445 <? /*
446 <!--
447 <br /><br />
448 <span>ezcommunity : ezcommunity v1 in development</span>
449 <span>ezcommunity : gpublish v1 in development</span>
450 -->
451 */
452 ?>
453
454 <?
455 // include( "eznewsfeed/user/menubox.php" );
456 ?>
457 <?
458 $CategoryID = 6;
459 // include( "eznewsfeed/user/headlines.php" );
460 ?>
461
462 </div>
463
464 <img src="<? print $GlobalSiteIni->WWWDir; ?>/images/document/1x1.gif" width="100" height="8" border="0" alt="" /><br />
465
466 </td>
467 </tr>
468 </table>
469
470 </td>
471 </tr>
472 </table>
473
474
475 </div>
476
477 <?
478 // Store the statistics with a callback image.
479 // It will be no overhead with this method for storing stats
480 //
481
482 $StoreStats = $ini->variable( "eZStatsMain", "StoreStats" );
483
484 if ( $StoreStats == "enabled" )
485 {
486 // create a random string to prevent browser caching.
487 $seed = md5( microtime() );
488 // callback for storing the stats
489 $imgSrc = $GlobalSiteIni->WWWDir . "/stats/store/rx$seed-" . $REQUEST_URI . "1x1.gif";
490 print( " ". "<span><img src=\"$imgSrc\" height=\"1\" width=\"1\" border=\"0\" alt=\"\" /></span>" );
491 }
492
493 ?>
494
495 </body>
496 </html>
497
498 <?php
499 // phpinfo();
500 ?>
$ini
$ini
Definition: classes/admin/linklist.php:64
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$MetaRedirectTimer
$MetaRedirectTimer
Definition: ezerror/admin/datasupplier.php:30
$MetaRedirectLocation
$MetaRedirectLocation
Definition: ezerror/admin/datasupplier.php:29
table
$def table
Definition: ezprestauthorizedclient.php:13
$Limit
$Limit
Definition: frame.php:308
$CategoryID
$CategoryID
Definition: frame.php:307
$NoAddress
$NoAddress
Definition: frame.php:368
$bdate
$bdate
Definition: frame.php:338
$Offset
$Offset
Definition: frame.php:329
$SiteTitle
$SiteTitle
Definition: frame.php:9
$now_date
$now_date
Definition: frame.php:339
$GlobalSiteDesign
global $GlobalSiteDesign
Definition: latestmessages.php:52
nbsp
& nbsp
Definition: step1.php:137
$SiteTitleAppend
$SiteTitleAppend
Definition: user/articlelist.php:212
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.